Package de.willuhn.jameica.hbci.gui.filter

# Interface Filter<T>

Type Parameters:
  `T` - Beliebiger Typ.

All Known Subinterfaces:
  `AddressFilter`

All Known Implementing Classes:
  `KontoFilter`

public interface Filter<T>
Mit diesem Filter koennen einzelne Datensaetze bei einer Suche ausgefiltert werden. Das wird z.Bsp. genutzt, um bei Auslandsueberweisungen nur jene Adressen anzuzeigen, die eine IBAN besitzen.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(T object)`
Prueft, ob das Objekt angezeigt werden soll oder nicht.

## Method Details

### accept

boolean accept(T object) throws RemoteException
Prueft, ob das Objekt angezeigt werden soll oder nicht.

Parameters:
  `object` - das zu pruefende Objekt.
Returns:
  true, wenn es ok ist und angezeigt werden soll. False, wenn es uebersprungen werden soll.
Throws:
  `RemoteException`